<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$res = array();

$mensaje_array = array();

$tipo = 'Elementos a Revisar';
if( $_REQUEST["tipo"] ) {  $tipo = $_REQUEST['tipo'];}


//_FRECUENCIA DE RECLAMOS SUR
$cantidad = 0;
if ($tipo == 'Elementos a Revisar')
{

                    $sql = "SELECT elemred as id ";
                    $sql .= ", (X(STARTPOINT(SHAPE)) + X(ENDPOINT(SHAPE))) / 2  AS XC ";
                    $sql .= ", (Y(STARTPOINT(SHAPE)) + Y(ENDPOINT(SHAPE))) / 2  AS YC ";
                    $sql .= " FROM cat_tramos ";
                    $sql .= " WHERE dato3 = 1 AND activo = 1";
                    $resultado = mysqli_query($con,$sql);
                    if ($resultado != FALSE){
                        if (mysqli_num_rows($resultado) > 0){
                            while($row = mysqli_fetch_assoc($resultado))
                            {
                                $cantidad++;
                                                $elem = array(
                                                    'id'=>$row['id'],
                                                    'xc'=>$row['XC'],
                                                    'yc'=>$row['YC'],
                                                    'tipo'=>'Elementos a Revisar',
                                                    'cantidad'=> 5
                                                        );
                                            array_push($res,$elem);
                                            }
                            }
                        }
                        $sql = "SELECT elem_red as id ";
                        $sql .= ", X(SHAPE)  AS XC ";
                        $sql .= ", Y(SHAPE)  AS YC ";
                        $sql .= " FROM cat_psingulares ";
                        $sql .= " WHERE dato3 = 1 AND activo = 1";
                        $resultado = mysqli_query($con,$sql);
                        if ($resultado != FALSE){
                            if (mysqli_num_rows($resultado) > 0){
                                while($row = mysqli_fetch_assoc($resultado))
                                {
                                    $cantidad++;
                                                    $elem = array(
                                                        'id'=>$row['id'],
                                                        'xc'=>$row['XC'],
                                                        'yc'=>$row['YC'],
                                                        'tipo'=>'Elementos a Revisar',
                                                        'cantidad'=> 3
                                                            );
                                                array_push($res,$elem);
                                                }
                                }
                            }
                            $sql = "SELECT elem_red as id ";
                            $sql .= ", X(SHAPE)  AS XC ";
                            $sql .= ", Y(SHAPE)  AS YC ";
                            $sql .= " FROM cat_captaciones ";
                            $sql .= " WHERE dato3 = 1 AND activo = 1";
                            $resultado = mysqli_query($con,$sql);
                            if ($resultado != FALSE){
                                if (mysqli_num_rows($resultado) > 0){
                                    while($row = mysqli_fetch_assoc($resultado))
                                    {
                                        $cantidad++;
                                                        $elem = array(
                                                            'id'=>$row['id'],
                                                            'xc'=>$row['XC'],
                                                            'yc'=>$row['YC'],
                                                            'tipo'=>'Elementos a Revisar',
                                                            'cantidad'=> 2
                                                                );
                                                    array_push($res,$elem);
                                                    }
                                    }
                                }
                                $sql = "SELECT id ";
                                $sql .= ", X(STARTPOINT(SHAPE))  AS XC ";
                                $sql .= ", Y(STARTPOINT(SHAPE))  AS YC ";
                                $sql .= " FROM cat_conex_capt ";
                                $sql .= " WHERE dato3 = 1 AND activo = 1";
                                $resultado = mysqli_query($con,$sql);
                                if ($resultado != FALSE){
                                    if (mysqli_num_rows($resultado) > 0){
                                        while($row = mysqli_fetch_assoc($resultado))
                                        {
                                            $cantidad++;
                                                            $elem = array(
                                                                'id'=>$row['id'],
                                                                'xc'=>$row['XC'],
                                                                'yc'=>$row['YC'],
                                                                'tipo'=>'Elementos a Revisar',
                                                                'cantidad'=> 1
                                                                    );
                                                        array_push($res,$elem);
                                                        }
                                        }
                                    }
}            



if ($tipo == 'Acciones pendientes')
{

                    $sql = "SELECT elemred as id ";
                    $sql .= ", (X(STARTPOINT(SHAPE)) + X(ENDPOINT(SHAPE))) / 2  AS XC ";
                    $sql .= ", (Y(STARTPOINT(SHAPE)) + Y(ENDPOINT(SHAPE))) / 2  AS YC ";
                    $sql .= " FROM cat_tramos ";
                    $sql .= " WHERE accion = 'Intervencion en breve' AND activo = 1";
                    $resultado = mysqli_query($con,$sql);
                    if ($resultado != FALSE){
                        if (mysqli_num_rows($resultado) > 0){
                            while($row = mysqli_fetch_assoc($resultado))
                            {
                                $cantidad++;
                                                $elem = array(
                                                    'id'=>$row['id'],
                                                    'xc'=>$row['XC'],
                                                    'yc'=>$row['YC'],
                                                    'tipo'=>'Acciones pendientes',
                                                    'cantidad'=> 1
                                                        );
                                            array_push($res,$elem);
                                            }
                            }
                        }
                        $sql = "SELECT elemred as id ";
                        $sql .= ", (X(STARTPOINT(SHAPE)) + X(ENDPOINT(SHAPE))) / 2  AS XC ";
                        $sql .= ", (Y(STARTPOINT(SHAPE)) + Y(ENDPOINT(SHAPE))) / 2  AS YC ";
                        $sql .= " FROM cat_tramos ";
                        $sql .= " WHERE accion = 'Intervencion urgente' AND activo = 1";
                        $resultado = mysqli_query($con,$sql);
                        if ($resultado != FALSE){
                            if (mysqli_num_rows($resultado) > 0){
                                while($row = mysqli_fetch_assoc($resultado))
                                {
                                    $cantidad++;
                                                    $elem = array(
                                                        'id'=>$row['id'],
                                                        'xc'=>$row['XC'],
                                                        'yc'=>$row['YC'],
                                                        'tipo'=>'Acciones pendientes',
                                                        'cantidad'=> 2
                                                            );
                                                array_push($res,$elem);
                                                }
                                }
                            }
                        $sql = "SELECT elem_red as id ";
                        $sql .= ", X(SHAPE)  AS XC ";
                        $sql .= ", Y(SHAPE)  AS YC ";
                        $sql .= " FROM cat_psingulares ";
                        $sql .= " WHERE  accion = 'Intervencion en breve' AND activo = 1";
                        $resultado = mysqli_query($con,$sql);
                        if ($resultado != FALSE){
                            if (mysqli_num_rows($resultado) > 0){
                                while($row = mysqli_fetch_assoc($resultado))
                                {
                                    $cantidad++;
                                                    $elem = array(
                                                        'id'=>$row['id'],
                                                        'xc'=>$row['XC'],
                                                        'yc'=>$row['YC'],
                                                        'tipo'=>'Acciones pendientes',
                                                        'cantidad'=> 1
                                                            );
                                                array_push($res,$elem);
                                                }
                                }
                            }
                            $sql = "SELECT elem_red as id ";
                            $sql .= ", X(SHAPE)  AS XC ";
                            $sql .= ", Y(SHAPE)  AS YC ";
                            $sql .= " FROM cat_psingulares ";
                            $sql .= " WHERE  accion = 'Intervencion urgente' AND activo = 1";
                            $resultado = mysqli_query($con,$sql);
                            if ($resultado != FALSE){
                                if (mysqli_num_rows($resultado) > 0){
                                    while($row = mysqli_fetch_assoc($resultado))
                                    {
                                        $cantidad++;
                                                        $elem = array(
                                                            'id'=>$row['id'],
                                                            'xc'=>$row['XC'],
                                                            'yc'=>$row['YC'],
                                                            'tipo'=>'Acciones pendientes',
                                                            'cantidad'=> 2
                                                                );
                                                    array_push($res,$elem);
                                                    }
                                    }
                                }
                            $sql = "SELECT elem_red as id ";
                            $sql .= ", X(SHAPE)  AS XC ";
                            $sql .= ", Y(SHAPE)  AS YC ";
                            $sql .= " FROM cat_captaciones ";
                            $sql .= " WHERE  accion = 'Intervencion en breve' AND activo = 1";
                            $resultado = mysqli_query($con,$sql);
                            if ($resultado != FALSE){
                                if (mysqli_num_rows($resultado) > 0){
                                    while($row = mysqli_fetch_assoc($resultado))
                                    {
                                        $cantidad++;
                                                        $elem = array(
                                                            'id'=>$row['id'],
                                                            'xc'=>$row['XC'],
                                                            'yc'=>$row['YC'],
                                                            'tipo'=>'Acciones pendientes',
                                                            'cantidad'=> 1
                                                                );
                                                    array_push($res,$elem);
                                                    }
                                    }
                                }
                                $sql = "SELECT elem_red as id ";
                                $sql .= ", X(SHAPE)  AS XC ";
                                $sql .= ", Y(SHAPE)  AS YC ";
                                $sql .= " FROM cat_captaciones ";
                                $sql .= " WHERE  accion = 'Intervencion urgente' AND activo = 1";
                                $resultado = mysqli_query($con,$sql);
                                if ($resultado != FALSE){
                                    if (mysqli_num_rows($resultado) > 0){
                                        while($row = mysqli_fetch_assoc($resultado))
                                        {
                                            $cantidad++;
                                                            $elem = array(
                                                                'id'=>$row['id'],
                                                                'xc'=>$row['XC'],
                                                                'yc'=>$row['YC'],
                                                                'tipo'=>'Acciones pendientes',
                                                                'cantidad'=> 2
                                                                    );
                                                        array_push($res,$elem);
                                                        }
                                        }
                                    }
}   


if ($tipo == 'Sin intervenciones')
{

                    $sql = "SELECT elem_red as id ";
                    $sql .= ", X(SHAPE)  AS XC ";
                    $sql .= ", Y(SHAPE)  AS YC ";
                    $sql .= " FROM cat_captaciones ";
                    $sql .= " WHERE activo = 1 AND ";
                    $sql .= " NOT EXISTS (SELECT id_captacion FROM int_captaciones WHERE cat_captaciones.elem_red = int_captaciones.id_captacion AND fecha >= DATE_SUB(NOW(), INTERVAL 3 MONTH))";
                    $resultado = mysqli_query($con,$sql);
                    if ($resultado != FALSE){
                        if (mysqli_num_rows($resultado) > 0){
                            while($row = mysqli_fetch_assoc($resultado))
                            {
                                $cantidad++;
                                                $elem = array(
                                                    'id'=>$row['id'],
                                                    'xc'=>$row['XC'],
                                                    'yc'=>$row['YC'],
                                                    'tipo'=>'Sin intervenciones',
                                                    'cantidad'=> 3
                                                        );
                                            array_push($res,$elem);
                                            }
                            }
                        }
}     

$resultado = null;



$mensaje =  $cantidad . " - Total de elementos";
array_push($mensaje_array,$mensaje);



$res_total = array();
array_push($res_total,$res);
$elem = array('mensaje'=>$mensaje_array);
array_push($res_total,$elem);

mysqli_close($con);
echo json_encode($res_total);
?>